ONVIF::Device::Elements::GetServiceCapabilitiesResponse(3pm)

NAME
ONVIF::Device::Elements::GetServiceCapabilitiesResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetServiceCapabilitiesResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Capabilities

     $element->set_Capabilities($data);
     $element->get_Capabilities();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetServiceCapabilitiesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Capabilities =>  { # ONVIF::Device::Types::DeviceServiceCapabilities
     Network => ,
     Security => ,
     System => ,
     Misc => ,
   },
 },

AUTHOR
Generated by SOAP::WSDL